.teaser {
  background-color: var(--corp-color-white);
}

.teaser.training-page-teaser.g-container {
  padding-inline: 0;
}

.teaser__image.g-sm-4 {
  width: 100%;
  max-width: none;
}

/* =============================================================================
   TRAINING PAGE TEASER — Mobile
   ============================================================================= */

.teaser.training-page-teaser .teaser__wrapper {
  position: relative;
}

.teaser.training-page-teaser .teaser__content {
  position: absolute;
  bottom: 28px;
  z-index: 2;
  padding: 0 18px 0 21px;
}

.teaser.training-page-teaser .teaser__image picture,
.teaser.training-page-teaser .teaser__image img {
  width: 100%;
  height: 100%;
}

.teaser.training-page-teaser .teaser__title {
  color: var(--corp-color-white);
  font-size: var(--corp-type-mobile-display-1-font-size);
  font-style: normal;
  font-weight: var(--fw-500);
  line-height: var(--corp-type-mobile-display-2-line-height);
  letter-spacing: -0.28px;
}

.teaser.training-page-teaser .teaser__description {
  color: var(--corp-color-white);
  font-size: var(--corp-type-mobile-body-1-font-size);
  font-style: normal;
  font-weight: var(--fw-500);
  line-height: var(--corp-type-mobile-body-3-line-height);
}

/* =============================================================================
   TRAINING PAGE TEASER — Tablet
   ============================================================================= */

@media screen and (width >=768px) {
  .teaser.training-page-teaser.g-container {
    padding-inline: 32px;
  }

  .teaser.training-page-teaser .teaser__content {
    position: static;
    row-gap: 16px;
    padding: 64px 20px 32px 0;
  }

  .teaser.training-page-teaser .teaser__title {
    color: var(--corp-color-neutral-black);
    font-size: var(--corp-type-tablet-heading-1-font-size);
    font-weight: var(--fw-500);
    line-height: 120%;
    letter-spacing: 0;
  }

  .teaser.training-page-teaser .teaser__description {
    color: var(--corp-color-neutral-black);
    font-size: var(--corp-type-tablet-body-1-font-size);
    font-weight: var(--fw-400);
    line-height: 140%;
    letter-spacing: -0.14px;
  }
}

/* =============================================================================
   TRAINING PAGE TEASER — Desktop
   ============================================================================= */

@media screen and (width >=1200px) {
  .teaser.training-page-teaser.g-container {
    padding-inline: 56px;
  }

  .teaser.training-page-teaser .teaser__content {
    padding: 125px 56px 50px 0;
  }

  .teaser.training-page-teaser .teaser__title {
    font-size: var(--corp-type-desktop-heading-4-font-size);
    font-weight: var(--fw-500);
    line-height: 120%;
    letter-spacing: -0.4px;
  }

  .teaser.training-page-teaser .teaser__description {
    font-size: var(--corp-type-desktop-body-lg-font-size);
    font-weight: var(--fw-400);
    line-height: 150%;
    letter-spacing: -0.16px;
  }
}

/* =============================================================================
   PARTNER PAGE TEASER — Mobile
   ============================================================================= */

.teaser.partner-page-teaser .teaser__content {
  padding: 60px 0px 24px 0px;
}

.teaser.partner-page-teaser .teaser__title {
  color: var(--corp-color-neutral-black);
  font-size: var(--corp-type-mobile-heading-xl-font-size);
  font-weight: var(--fw-400);
  line-height: 120%;
  letter-spacing: -0.2px;
}

.teaser.partner-page-teaser .teaser__description {
  color: var(--corp-color-neutral-black);
  font-size: var(--corp-type-mobile-body-1-font-size);
  font-weight: var(--fw-400);
  line-height: var(--corp-type-mobile-heading-base-line-height);
  letter-spacing: -0.14px;
}

.teaser.partner-page-teaser .teaser__image picture,
.teaser.partner-page-teaser .teaser__image img {
  width: 100%;
  height: 100%;
}

/* =============================================================================
   PARTNER PAGE TEASER — Tablet
   ============================================================================= */

@media screen and (width >=768px) {
  .teaser.partner-page-teaser .teaser__content {
    padding: 60px 0 29.21px 0;
    gap: 12px;
  }

  .teaser.partner-page-teaser .teaser__title {
    font-size: var(--corp-type-tablet-heading-1-font-size);
    font-weight: var(--fw-500);
    line-height: 120%;
  }

  .teaser.partner-page-teaser .teaser__description {
    font-size: var(--corp-type-tablet-body-1-font-size);
    font-weight: var(--fw-400);
    line-height: 140%;
    letter-spacing: -0.36px;
  }
}

/* =============================================================================
   PARTNER PAGE TEASER — Desktop
   ============================================================================= */

@media screen and (width >=1200px) {
  .teaser.partner-page-teaser .teaser__content {
    padding: 150px 0 50px 0;
    gap: 16px;
  }

  .teaser.partner-page-teaser .teaser__title {
    font-size: var(--corp-type-desktop-heading-4-font-size);
    font-weight: var(--fw-500);
    line-height: 120%;
    letter-spacing: -0.4px;
  }

  .teaser.partner-page-teaser .teaser__description {
    font-size: var(--corp-type-desktop-body-lg-font-size);
    font-weight: var(--fw-400);
    line-height: 150%;
    letter-spacing: -0.16px;
  }
}

/* =============================================================================
   FRAUDULENT PAGE TEASER — MOBILE
   ============================================================================= */

.teaser.fraudulent-page-teaser {
  background: transparent;
  margin-top: -80px;
  padding-bottom: 80px;

  .teaser__wrapper {
    width: 100%;
    background: var(--corp-color-surface);
    padding: 20px;
    border: 1px solid rgba(36, 50, 199, 0.2);
    border-radius: var(--corp-radius-sm);
  }

  .banner {
    background: var(--corp-color-white);
  }

  .banner__wrapper {
    display: flex;
    flex-direction: column-reverse;
    gap: 24px;
  }

  .teaser__content {
    display: flex;
    flex-direction: column;
    width: unset;
  }

  .teaser__title {
    margin: 0;
    color: var(--corp-color-neutral-black);
    font-size: var(--corp-type-mobile-heading-3-bold-font-size);
    font-style: normal;
    font-weight: var(--fw-500);
    line-height: var(--corp-type-mobile-body-1-line-height);
    margin-bottom: 16px;
  }

  .teaser__description {
    margin: 0;
    color: var(--corp-color-neutral-black);
    font-size: var(--corp-type-mobile-body-2-font-size);
    font-style: normal;
    font-weight: var(--fw-400);
    line-height: var(--corp-type-mobile-body-2-line-height);
    letter-spacing: -0.14px;
  }

  ul.teaser__description {
    list-style: none;
    margin: 24px 0px 24px 0px;
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding-left: 3.5px;

    li {
      position: relative;
      padding-left: 12.5px;
    }

    li::before {
      content: '';
      position: absolute;
      left: 0;
      top: 10px;
      width: 4.5px;
      height: 4.5px;
      background-color: var(--corp-color-primary);
      transform: translateY(-50%);
    }
  }

  ol.teaser__description {
    list-style: decimal;
    padding-left: 20px;
    margin: 0;

    li {
      display: list-item;
      padding-left: 0;
    }

    li::before {
      display: none;
      content: none;
      width: 0;
      height: 0;
    }
  }

  .teaser__image-row {
    width: 100%;
    border-radius: var(--corp-radius-xsmd);
  }

  .teaser__image,
  .teaser__image picture,
  .teaser__image img {
    width: 100%;
    height: 100%;
    display: block;
    border-radius: var(--corp-radius-xsmd);
    object-fit: cover;
  }
}

/* =============================================================================
   FRAUDULENT PAGE TEASER — TABLET
   ============================================================================= */

@media screen and (width >=768px) {
  .teaser-wrapper {
    position: relative;
  }

  .teaser-wrapper::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--corp-table-bg);
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
  }

  .teaser.fraudulent-page-teaser {
    margin-top: -48px;
    padding-bottom: 48px;

    .teaser .teaser__wrapper {
      padding: 16px;
      border-radius: var(--corp-radius-xsmd);
      border: none;
    }

    .banner {
      background-color: var(--corp-color-surface-secondary);
      border-radius: var(--corp-radius-xsmd);
    }

    .banner__wrapper {
      padding: 16px 16px 16px 20px;
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: 27px;
      border-radius: var(--corp-radius-xsmd);
      width: 100%;
      align-items: stretch;
    }

    .teaser__content {
      padding: 0;
      gap: 0;
      justify-content: flex-start;
    }

    .teaser__image-row {
      flex: auto;
    }

    .teaser__image,
    .teaser__image picture,
    .teaser__image img {
      border-radius: var(--corp-radius-xsmd);
    }

    .teaser__title {
      font-size: var(--corp-type-tablet-heading-1-font-size);
      line-height: var(--corp-type-tablet-body-8-line-height);
      margin-bottom: 12px;
    }

    .teaser__description {
      font-size: var(--corp-type-tablet-body-1-font-size);
      line-height: var(--corp-type-tablet-body-8-line-height);
      margin-bottom: 8px;
    }

    ul.teaser__description {
      gap: 4px;
      padding-left: 3.5px;
      margin: 0px 0px 8px 0px;
    }

    ul.teaser__description li::before {
      top: 50%;
    }

    ul.teaser__description li {
      margin-bottom: 0;
      padding-left: 13px;
    }
  }
}

/* =============================================================================
   FRAUDULENT PAGE TEASER — DESKTOP
   ============================================================================= */

@media screen and (width >=1200px) {
  .teaser.fraudulent-page-teaser {
    /* padding-block: 80px; */
    padding-bottom: 46px;
    margin-top: -70px;

    .teaser__wrapper {
      padding: 24px 28px;
      border-radius: var(--corp-radius-sm);
    }

    .banner {
      background: var(--corp-color-surface-300);
      padding: 24px;
      border-radius: var(--corp-radius-sm);
      padding: 16px 18px 20px 28px;
    }

    .banner__wrapper {
      flex-direction: row;
      align-items: stretch;
      gap: 48px;
      padding: 0;
    }

    .teaser__content {
      justify-content: center;
    }

    .teaser__image,
    .teaser__image picture,
    .teaser__image img {
      border-radius: var(--corp-radius-sm);
    }

    ul.teaser__description {
      gap: 12px;
      padding-left: 7px;
      margin: 0px 0px 24px 0px;
    }

    ul.teaser__description li {
      padding-left: 21px;

      &::before {
        width: 9px;
        height: 9px;
        top: 12px;
      }
    }

    .teaser__title {
      font-size: var(--corp-type-desktop-heading-4-font-size);
      line-height: var(--corp-type-desktop-heading-3xl-line-height);
      letter-spacing: -0.4px;
      margin-bottom: 20px;
    }

    .teaser__description {
      font-size: var(--corp-type-desktop-body-lg-font-size);
      line-height: var(--corp-type-desktop-heading-3xl-line-height);
      letter-spacing: -0.16px;
      margin-bottom: 15px;
    }
  }
}

/* ==========================================================================
   CASE STUDY TEASER
   ========================================================================== */

.teaser.case-study-teaser {
  background: var(--corp-color-surface);
  border-top: 1px solid var(--corp-color-white-5);
}

.teaser.case-study-teaser .teaser__wrapper {
  padding: 22px 0 96px 0;
}

.teaser.case-study-teaser .teaser__content {
  position: static;
  gap: 48px;
}

.teaser.case-study-teaser .teaser__title {
  margin: 0;
  color: var(--corp-color-neutral-black);
  font-size: var(--corp-type-mobile-display-1-font-size);
  font-weight: var(--fw-500);
  line-height: var(--corp-type-mobile-display-2-line-height);
  letter-spacing: -0.28px;
}

.teaser.case-study-teaser .teaser__image {
  margin-top: 48px;
  height: 307px;
}

.teaser.case-study-teaser .teaser__image picture,
.teaser.case-study-teaser .teaser__image img {
  width: 100%;
  height: 100%;
  border-radius: var(--corp-radius-xxl) var(--corp-radius-xxl) 0px 0px;
}

.teaser.case-study-teaser .teaser__bottom-content {
  margin-top: 54px;
  padding: 10px 0 0 0;
  :is(h1, h2, h3, h4, h5, h6) {
    margin: 0 0 24px;
    font-size: var(--corp-type-mobile-heading-base-font-size);
    font-weight: var(--fw-400);
    line-height: var(--corp-type-mobile-heading-base-line-height);
    letter-spacing: -0.36px;
  }
  p {
    margin: 0;
    font-size: var(--corp-type-mobile-body-1-font-size);
    line-height: var(--corp-type-mobile-heading-base-line-height);
  }
  table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 24px;
    overflow: hidden;
  }
  th,
  td {
    padding: 16px 20px;
    text-align: left;
    border: 1px solid var(--corp-color-white-5);
  }
  th {
    background: var(--corp-table-bg);
    color: var(--corp-color-neutral-black);
    font-weight: var(--fw-500);
  }
  td {
    background: var(--corp-color-white);
  }
  tr:nth-child(even) td {
    background: var(--corp-color-surface);
  }
}

.teaser__bottom-content ul {
  list-style: disc;
  padding-left: 20px;
}

@media (width >=768px) {
  .teaser.case-study-teaser .teaser__wrapper {
    padding: 100px 0;
  }

  .teaser.case-study-teaser .teaser__title {
    line-height: var(--corp-type-tablet-display-3xl-line-height);
    font-weight: var(--fw-400);
    letter-spacing: -0.42px;
  }

  .teaser.case-study-teaser .teaser__description {
    font-size: var(--corp-type-tablet-heading-lg-font-size);
    line-height: var(--corp-type-tablet-body-11-line-height);
    letter-spacing: -0.16px;
  }

  .teaser.case-study-teaser .teaser__content {
    gap: 20px;
  }

  .teaser.case-study-teaser .teaser__image {
    height: 100%;
  }

  .teaser.case-study-teaser .teaser__bottom-content {
    margin-top: 48px;
    padding: 0;
  }

  .teaser.case-study-teaser .teaser__bottom-content :is(h1, h2, h3, h4, h5, h6) {
    margin: 0 0 20px;
    font-size: var(--corp-type-tablet-heading-xl-font-size);
    line-height: var(--corp-type-tablet-display-4xl-line-height);
  }

  .teaser.case-study-teaser .teaser__bottom-content p {
    margin: 0;
    font-size: var(--corp-type-tablet-heading-xl-font-size);
    line-height: var(--corp-type-tablet-display-4xl-line-height);
    letter-spacing: -0.2px;
  }
}

@media (width >=1200px) {
  .teaser.case-study-teaser .teaser__wrapper {
    padding: 66px 0 72px 0;
  }

  .teaser.case-study-teaser .teaser__content {
    gap: 32px;
  }

  .teaser.case-study-teaser .teaser__title {
    font-size: var(--corp-type-desktop-heading-xxl-font-size);
    line-height: var(--corp-type-desktop-caption-6-line-height);
    letter-spacing: -1.5px;
  }

  .teaser.case-study-teaser .teaser__description {
    line-height: var(--corp-type-desktop-caption-5-line-height);
  }

  .teaser.case-study-teaser .teaser__image {
    margin-top: 36px;
  }

  .teaser.case-study-teaser .teaser__image picture,
  .teaser.case-study-teaser .teaser__image img {
    border-radius: 0;
  }

  .teaser.case-study-teaser .teaser__bottom-content {
    margin-top: 66px;
  }

  .teaser.case-study-teaser .teaser__bottom-content :is(h1, h2, h3, h4, h5, h6) {
    margin: 0 0 24px;
  }

  .teaser.case-study-teaser .teaser__bottom-content p {
    font-size: var(--corp-type-desktop-body-font-size);
  }
}
